# Return Passenger applications

Note: Web Apps (WebApp) is the newer, recommended feature for
deploying web applications; it deploys container-based applications
and supersedes Application Manager. Use WebApp::list instead of this
function for applications deployed with Web Apps. Use
PassengerApps only to manage applications already registered with
Application Manager.

This function lists an account’s Passenger applications.

Important:

  When you disable the Web Server role, the system disables this function.

Endpoint: GET /PassengerApps/list_applications
Version: 11.138.0.19
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_applications"

  - `module` (string)
    The name of the module called.
    Example: "PassengerApps"

  - `result` (object)

  - `result.data` (object)
    An object describing each application.
    Example: {"Name of Application 1":{"base_uri":"/app1-uri","deployment_mode":"production","deps":{"gem":"0","npm":"0","pip":"cd /home/user/app1-dir && pip install --user -r requirements.txt"},"domain":"example.com","enabled":1,"envvars":{},"name":"Name of Application 1","path":"/home/user/app1-dir"},"Name of Application 2":{"base_uri":"/app2-uri","deployment_mode":"development","deps":{"gem":"cd /home/user/app2-dir && BUNDLE_PATH=~/.gem /path/to/ruby/version/package/bundler install","npm":"0","pip":"0"},"domain":"example.com","enabled":1,"envvars":{},"name":"Name of Application 2","path":"/home/user/app2-dir"}}

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 — Success.
- 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


